<?php

namespace Modules\Fm\Entities;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Support\Facades\Auth;
use Spatie\Activitylog\Contracts\Activity;
use Spatie\Activitylog\Traits\LogsActivity;

class SupplierInvoiceAttachment extends Model
{
    use HasFactory,LogsActivity;
    protected $table = 'fm_supplier_invoice_attachments';
    protected $primaryKey = 'supplier_invoice_attachment_id';
    protected $fillable = [];
    protected static $logAttributes = [
        'supplier_invoice_attachment_id',
        'supplier_invoice_header_id',
        'path',
        'token',
    ];
    protected static $logOnlyDirty = true;
    public function tapActivity(Activity $activity, string $eventName)
    {
        $activity->log_name = "fm_supplier_invoice_attachments";
        $activity->description = $eventName;
        $activity->causer_id = Auth::user()->id;
    }
    /*protected static function newFactory()
    {
        return \Modules\Fm\Database\factories\SupplierInvoiceAttachmentFactory::new();
    }*/
}
